Skip to main content
POST
/
v1
/
dev
/
user
/
conversations
/
from-segments
Create Conversation From Segments
curl --request POST \
  --url https://api.omi.me/v1/dev/user/conversations/from-segments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "transcript_segments": [
    {
      "end": 123,
      "start": 123,
      "text": "<string>",
      "is_user": false,
      "person_id": "<string>",
      "speaker": "SPEAKER_00",
      "speaker_id": 123
    }
  ],
  "client_session_id": "<string>",
  "finished_at": "2023-11-07T05:31:56Z",
  "geolocation": {
    "latitude": 123,
    "longitude": 123,
    "address": "<string>",
    "google_place_id": "<string>",
    "location_type": "<string>"
  },
  "language": "en",
  "source": "external_integration",
  "started_at": "2023-11-07T05:31:56Z"
}
'
{
  "discarded": true,
  "id": "<string>",
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <omi_developer_api_key>.

Body

application/json
transcript_segments
CreateConversationTranscriptSegment · object[]
required

List of transcript segments with speaker and timing info

Required array length: 1 - 500 elements
client_session_id
string | null

Stable client-generated session ID. When provided, retries return the same conversation ID.

Required string length: 1 - 200
finished_at
string<date-time> | null

When conversation finished (calculated from segments duration if not provided)

geolocation
Geolocation · object

Geolocation where conversation occurred

language
string | null
default:en

Language code (ISO 639-1, e.g., 'en', 'es', 'fr')

source
enum<string> | null
default:external_integration

Source of the conversation (e.g., omi, friend, openglass, phone, external_integration)

Available options:
friend,
omi,
fieldy,
bee,
plaud,
frame,
friend_com,
apple_watch,
phone,
phone_call,
desktop,
openglass,
screenpipe,
workflow,
sdcard,
external_integration,
limitless,
onboarding,
unknown
started_at
string<date-time> | null

When conversation started (defaults to now)

Response

Successful Response

discarded
boolean
required
id
string
required
status
string
required